## org.exist.xquery.test
Class XPathQueryTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.custommonkey.xmlunit.XMLTestCase
                  org.exist.xquery.test.XPathQueryTest

All Implemented Interfaces:
  junit.framework.Test, org.custommonkey.xmlunit.XMLConstants, org.custommonkey.xmlunit.XSLTConstants

public class XPathQueryTest
extends org.custommonkey.xmlunit.XMLTestCase

Field Summary

Fields inherited from interface org.custommonkey.xmlunit.XSLTConstants
`XSLT_END, XSLT_IDENTITY_TEMPLATE, XSLT_START, XSLT_STRIP_WHITESPACE, XSLT_XML_OUTPUT_NOINDENT`

Fields inherited from interface org.custommonkey.xmlunit.XMLConstants
`CLOSE_NODE, END_CDATA, END_COMMENT, END_PROCESSING_INSTRUCTION, OPEN_END_NODE, OPEN_START_NODE, START_CDATA, START_COMMENT, START_DOCTYPE, START_PROCESSING_INSTRUCTION, XML_DECLARATION, XMLNS_PREFIX, XPATH_ATTRIBUTE_IDENTIFIER, XPATH_CHARACTER_NODE_IDENTIFIER, XPATH_COMMENT_IDENTIFIER, XPATH_NODE_INDEX_END, XPATH_NODE_INDEX_START, XPATH_PROCESSING_INSTRUCTION_IDENTIFIER, XPATH_SEPARATOR`

Constructor Summary
`XPathQueryTest()`

Method Summary
`void` `bugtestDescendantOrSelfBUG1460791()`
`void` `bugtestExternalVars2()`
`void` `bugtestXpathBUG1462120()`
`void` `bugtestXPointerElementNameHandling()` Added by Geoff Shuetrim on 15 July 2006 (geoff@galexy.net).
`static void` `main(java.lang.String[] args)`
`static void` `setURI(java.lang.String collectionURI)`
`void` `testAncestor()` test involving ancestor:: >>>>>>> currently this produces variable corruption : The result is the ancestor <<<<<<<<<<
`void` `testAncestorAxis()`
`void` `testAncestorIndex()`
`void` `testAttributes()` test simple queries involving attributes
`void` `testBoolean()`
`void` `testCardinalitySelfBUG_wiki_2()`
`void` `testCastInPredicate_wiki_7()`
`void` `testCompile()`
`void` `testComputationBug_wiki_8()`
`void` `testConvertToBoolean()`
`void` `testDates()`
`void` `testDocumentBuilderBUG_wiki_6()`
`void` `testExcept()`
`void` `testExternalVars()`
`void` `testFollowingAxis()`
`void` `testFollowingSiblingAxis()`
`void` `testGeneralComparison()`
`void` `testIds()`
`void` `testIntersect()`
`void` `testLast()`
`void` `testMembersAsResource()`
`void` `testName()`
`void` `testNamespaces()`
`void` `testNestedElements()`
`void` `testNestedPredicates()`
`void` `testNot()`
`void` `testNumbers()`
`void` `testParentAxis()`
`void` `testParentSelfAxis()`
`void` `testPathExpression()`
`void` `testPosition()`
`void` `testPrecedingAxis()`
`void` `testPrecedingSiblingAxis()`
`void` `testPredicateBUG_wiki_1()`
`void` `testPredicateBUG1488303()`
`void` `testPredicates()`
`void` `testPredicates2()`
`void` `testPredicatesBUG1460610()`
`void` `testPredicatesBUG1537355()`
`void` `testPreserveSpace()`
`void` `testQueryResource()`
`void` `testQuotes()`
`void` `testRoot()`
`void` `testSatisfies()`
`void` `testSelfAxis()`
`void` `testStarAxis()`
`void` `testStarAxisConstraints()`
`void` `testStarAxisConstraints2()`
`void` `testStarAxisConstraints3()`
`void` `testStaticVariables()`
`void` `testStrings()`
`void` `testSubstring()`
`void` `testUnion()`
`void` `testVirtualNodesetBUG_wiki_3()`
`void` `testVirtualNodesetBUG_wiki_4()`
`void` `testVirtualNodesetBUG_wiki_5()`

Methods inherited from class org.custommonkey.xmlunit.XMLTestCase

`assertNodeTestPasses, assertNodeTestPasses, assertNotXpathExists, assertNotXpathExists, assertXMLEqual, assertXMLEqual, assertXMLEqual, assertXMLEqual, assertXMLEqual, assertXMLEqual, assertXMLEqual, assertXMLEqual, assertXMLEqual, assertXMLIdentical, assertXMLIdentical, assertXMLIdentical, assertXMLNotEqual, assertXMLNotEqual, assertXMLNotEqual, assertXMLNotEqual, assertXMLNotEqual, assertXMLNotEqual, assertXMLValid, assertXMLValid, assertXMLValid, assertXMLValid, assertXpathEvaluatesTo, assertXpathEvaluatesTo, assertXpathExists, assertXpathExists, assertXpathNotExists, assertXpathNotExists, assertXpathsEqual, assertXpathsEqual, assertXpathsEqual, assertXpathsEqual, assertXpathsNotEqual, assertXpathsNotEqual, assertXpathsNotEqual, assertXpathsNotEqual, assertXpathValuesEqual, assertXpathValuesEqual, assertXpathValuesEqual, assertXpathValuesEqual, assertXpathValuesNotEqual, assertXpathValuesNotEqual, assertXpathValuesNotEqual, assertXpathValuesNotEqual, compareXML, compareXML, compareXML, compareXML, compareXML, setControlParser, setIgnoreWhitespace, setTestParser`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathQueryTest

    public XPathQueryTest()

Method Detail

### setURI

    public static void setURI(java.lang.String collectionURI)

### testPathExpression

    public void testPathExpression()

### testAttributes

    public void testAttributes()

  test simple queries involving attributes

### testStarAxis

    public void testStarAxis()

### testStarAxisConstraints

    public void testStarAxisConstraints()

### testStarAxisConstraints2

    public void testStarAxisConstraints2()

### testStarAxisConstraints3

    public void testStarAxisConstraints3()

### testRoot

    public void testRoot()

### testName

    public void testName()

### testParentAxis

    public void testParentAxis()

### testParentSelfAxis

    public void testParentSelfAxis()

### testSelfAxis

    public void testSelfAxis()

### testAncestorAxis

    public void testAncestorAxis()

### testAncestorIndex

    public void testAncestorIndex()

### testPrecedingSiblingAxis

    public void testPrecedingSiblingAxis()

### testFollowingSiblingAxis

    public void testFollowingSiblingAxis()

### testFollowingAxis

    public void testFollowingAxis()

### testPrecedingAxis

    public void testPrecedingAxis()

### testPosition

    public void testPosition()

### testLast

    public void testLast()

### testNumbers

    public void testNumbers()

### testDates

    public void testDates()

### testGeneralComparison

    public void testGeneralComparison()

### testPredicates

    public void testPredicates()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPredicates2

    public void testPredicates2()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPredicatesBUG1460610

    public void testPredicatesBUG1460610()
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPredicatesBUG1537355

    public void testPredicatesBUG1537355()
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNestedPredicates

    public void testNestedPredicates()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPredicateBUG1488303

    public void testPredicateBUG1488303()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### bugtestDescendantOrSelfBUG1460791

    public void bugtestDescendantOrSelfBUG1460791()
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### bugtestXpathBUG1462120

    public void bugtestXpathBUG1462120()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPredicateBUG_wiki_1

    public void testPredicateBUG_wiki_1()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCardinalitySelfBUG_wiki_2

    public void testCardinalitySelfBUG_wiki_2()

### testVirtualNodesetBUG_wiki_3

    public void testVirtualNodesetBUG_wiki_3()

### testVirtualNodesetBUG_wiki_4

    public void testVirtualNodesetBUG_wiki_4()

### testVirtualNodesetBUG_wiki_5

    public void testVirtualNodesetBUG_wiki_5()

### testDocumentBuilderBUG_wiki_6

    public void testDocumentBuilderBUG_wiki_6()

### testCastInPredicate_wiki_7

    public void testCastInPredicate_wiki_7()

### testComputationBug_wiki_8

    public void testComputationBug_wiki_8()

### testStrings

    public void testStrings()

### testQuotes

    public void testQuotes()

### testBoolean

    public void testBoolean()

### testNot

    public void testNot()

### testIds

    public void testIds()

### testExternalVars

    public void testExternalVars()

### bugtestExternalVars2

    public void bugtestExternalVars2()

### testQueryResource

    public void testQueryResource()

### testAncestor

    public void testAncestor()

  test involving ancestor:: >>>>>>> currently this produces variable corruption : The result is the ancestor <<<<<<<<<<

### testNamespaces

    public void testNamespaces()

### testPreserveSpace

    public void testPreserveSpace()

### testNestedElements

    public void testNestedElements()

### testStaticVariables

    public void testStaticVariables()

### testMembersAsResource

    public void testMembersAsResource()

### testSatisfies

    public void testSatisfies()

### testIntersect

    public void testIntersect()

### testUnion

    public void testUnion()

### testExcept

    public void testExcept()

### testConvertToBoolean

    public void testConvertToBoolean()
                              throws XMLDBException

  Throws:
    `XMLDBException`

### testCompile

    public void testCompile()
                     throws XMLDBException

  Throws:
    `XMLDBException`

### bugtestXPointerElementNameHandling

    public void bugtestXPointerElementNameHandling()

  Added by Geoff Shuetrim on 15 July 2006 (geoff@galexy.net). This test has been added following identification of a problem running XPath queries that involved the name of elements with the name 'xpointer'.

  Throws:
    `XMLDBException`

### testSubstring

    public void testSubstring()
                       throws XMLDBException

  Throws:
    `XMLDBException`

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.